%define subrel  2

Name:		minetest
Version:	0.4.8
Release:	%mkrel 1
Summary:	An InfiniMiner/Minecraft inspired game
Group:		Games/Other
License:	GPLv2+
URL:		http://minetest.net
# Source file from github: https://github.com/minetest/minetest
Source0:	%{name}-%{version}.tar.gz
# Source file from github: https://github.com/minetest/minetest_game
Source1:	%{name}_game-%{version}.tar.gz
# https://github.com/minetest/minetest/pull/954
Patch1:		0001-FindJson.cmake-now-will-correctly-find-system-module.patch
Patch2:		minetest-0.4.8-mga-desktop.patch
# https://github.com/minetest/minetest/issues/1048
Patch3:		minetest-0.4.8-mga-upstream-fix-system-texture-paths.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	irrlicht-devel
BuildRequires:	jpeg-devel
BuildRequires:	jsoncpp-devel
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(jthread)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)

%description
One of the first InfiniMiner/Minecraft inspired games with a goal of taking
the survival multiplayer gameplay to a slightly different direction.

This game is under development, and as of now, the game does not really
differ from Minecraft except for having a lot less features. Still, playing
is quite fun already, especially for people who have not been able to
experience Minecraft.

%prep
%setup -q -a 1
%apply_patches

%build
%cmake	-DRUN_IN_PLACE=0 \
	-DCUSTOM_BINDIR:STRING=%{_gamesbindir} \
	-DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/%{name} \
	-DCUSTOM_LOCALEDIR:STRING=%{_datadir}/locale \
	-DENABLE_GETTEXT:BOOL=ON
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game
cp -r %{name}_game-%{version}/* %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game

%find_lang %{name}
ln -s %{_datadir}/locale %{buildroot}%{_gamesdatadir}/%{name}/locale

%files -f %{name}.lang
%doc doc/*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*


%changelog
* Sun Aug 31 2014 akien <akien> 0.4.8-1.2.mga4
+ Revision: 669842
- Backport an upstream fix for textures not being searched for in the system path
- Fix unused translations thanks to a symlink

  + dams <dams>
    - New version to fix game no more launching (mga#11803)

* Mon Oct 21 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 539913
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 0.4.7-2.mga4
+ Revision: 493064
- update specfile
- clean %%cmake options
- enable back parallel build

* Tue Oct 08 2013 dams <dams> 0.4.7-1.mga4
+ Revision: 493051
- new version 0.4.7
- add a patch to fix build with jthread
- add a patch to fix jsoncpp deps

* Sat Jan 12 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 360093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dams <dams> 0.4.3-2.mga3
+ Revision: 293095
- do not use embedded jthread anymore (+ patch from Mandriva to fix build)

* Mon Sep 10 2012 dams <dams> 0.4.3-1.mga3
+ Revision: 291962
- add a patch to fix build of jthread (embedded): pthread needed
- new version 0.4.3
- clean specfile
- remove useless patch
- update %%cmake options
- imported package minetest

